Create an agent conversation
curl --request POST \
--url https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"owner": {
"conversationId": 123,
"taskId": 123
},
"parent": {
"at": 123,
"conversationId": 123
}
}{
"reason": "connection-required",
"slug": "<string>"
}Agent conversations
Create an agent conversation
Create a conversation for the authenticated user in this named agent’s shared runtime. New conversations use the current model and creation defaults. Returns the native Pi conversation record.
Create an agent conversation
curl --request POST \
--url https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.usecontextlayer.com/api/slates/{target}/agents/{name}/{actor}/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 123,
"owner": {
"conversationId": 123,
"taskId": 123
},
"parent": {
"at": 123,
"conversationId": 123
}
}{
"reason": "connection-required",
"slug": "<string>"
}Authorizations
bearerAuthwebCookielocalWebCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Agent directory name under agents/ in the pushed source.
Minimum string length:
1Manual input is supported only in the authenticated caller's SlateAgent.
Available options:
user